CREATE TABLE bm_hp_punchin (
    ID                      NUMBER(18, 0) ,
    REF_ID                  NUMBER(18, 0)     NOT NULL,
    REF_TYPE                NUMBER(5, 0)      NOT NULL,
    PARENT_ID               NUMBER(18, 0)     NOT NULL,
    NAME                    VARCHAR2(4000)    NOT NULL,
    VARIABLE_NAME           VARCHAR2(4000)    NOT NULL,
    ORDER_NUMBER            NUMBER(5, 0)      NOT NULL,
    PUNCHIN_TYPE            NUMBER(5, 0)      NOT NULL,
    PUNCHIN_PAGE            NUMBER(5, 0)      NOT NULL,
    SEARCH_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    PART_NUMBER             VARCHAR2(1020),
    HIDE                    NUMBER(1, 0)      NOT NULL,
    PARAMS                  VARCHAR2(4000),
    FLOW_INPUT              VARCHAR2(4000),
    SEARCH_RESULT           VARCHAR2(4000),
    DATE_ADDED              DATE              NOT NULL,
    DATE_MODIFIED           DATE          ,
    MOBILE_PUNCHIN_IMAGE    NUMBER(18, 0) ,
    ID                      NUMBER(18, 0) ,
    REF_ID                  NUMBER(18, 0)     NOT NULL,
    REF_TYPE                NUMBER(5, 0)      NOT NULL,
    PARENT_ID               NUMBER(18, 0)     NOT NULL,
    NAME                    VARCHAR2(4000)    NOT NULL,
    VARIABLE_NAME           VARCHAR2(4000)    NOT NULL,
    ORDER_NUMBER            NUMBER(5, 0)      NOT NULL,
    PUNCHIN_TYPE            NUMBER(5, 0)      NOT NULL,
    PUNCHIN_PAGE            NUMBER(5, 0)      NOT NULL,
    SEARCH_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    PART_NUMBER             VARCHAR2(1020),
    HIDE                    NUMBER(1, 0)      NOT NULL,
    PARAMS                  VARCHAR2(4000),
    FLOW_INPUT              VARCHAR2(4000),
    SEARCH_RESULT           VARCHAR2(4000),
    DATE_ADDED              DATE              NOT NULL,
    DATE_MODIFIED           DATE          ,
    MOBILE_PUNCHIN_IMAGE    NUMBER(18, 0) ,
    CONSTRAINT pk_bm_hp_punchin PRIMARY KEY (ID, ID)
);
